﻿using System;
using System.Windows;
using SoftArcs.Security;
using SoftArcs.UrlServices;
using twitter.security;

namespace TwitterUI
{
	public partial class MainWindow
	{
		public event Action<string, DateTime> Tweet;

		public MainWindow()
		{
			InitializeComponent();
			//btnSend.Click += (s, e) => TweetSenden( txtTweet.Text, txtDateTime.Text );
			//txtDateTime.Text = DateTime.Now.ToShortDateString() + " " + DateTime.Now.ToShortTimeString();
			btnSend.Click += (s, e) => TweetSenden( txtTweet.Text, dtpDateTime.DateTimeSelected.ToString() );

			var credentials = Token.ReadFromRessource( typeof( MainWindow ).Assembly, "TwitterUI.bitly.credentials.txt" );
			ShorteningService.InitializeService( new APIToken { Key = credentials.Key, Secret = credentials.Secret } );

			txtTweet.Text = "MSDN : " +
								 " http://msdn.microsoft.com/en-us ---" +
								 " DotNetPro Forum : http://www.dotnetpro.de/newsgroups/ThreadList.aspx?groupId=15 ---" +
								 " Diese URL ist kurz : www.bing.com ";
		}

		private void TweetSenden(string text, string veröffentlichen)
		{
			DateTime dateTime;
			if (!DateTime.TryParse( veröffentlichen, out dateTime ))
			{
				MessageBox.Show( "Bitte geben Sie ein gültiges Datum und eine gültige Uhrzeit ein.\nFormat: tag.monat.jahr stunde:minute:sekunde" );
				return;
			}
			if (Tweet != null) Tweet( text, dateTime );
		}
	}
}
